! WHIZARD 2.0.0 Mon Aug 24 2009
! 
! (C) 1999-2009 by 
!     Wolfgang Kilian <kilian@hep.physik.uni-siegen.de>
!     Thorsten Ohl <ohl@physik.uni-wuerzburg.de>
!     Juergen Reuter <juergen.reuter@physik.uni-freiburg.de>
!     with contributions by Sebastian Schmidt
!
! WHIZARD is free software; you can redistribute it and/or modify it
! under the terms of the GNU General Public License as published by 
! the Free Software Foundation; either version 2, or (at your option)
! any later version.
!
! WHIZARD is distributed in the hope that it will be useful, but
! WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
! GNU General Public License for more details.
!
! You should have received a copy of the GNU General Public License
! along with this program; if not, write to the Free Software
! Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
!
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! This file has been stripped of most comments.  For documentation, refer
! to the source 'whizard.nw'

module limits

  implicit none
  private

  integer, parameter, public :: VERSION_STRLEN = 255
  character(len=VERSION_STRLEN), parameter, public :: &
       & VERSION_STRING = "WHIZARD version 2.0.0 (Mon Aug 24 2009)"
  integer, parameter, public :: WHIZARD_ROOT = 0
  integer, parameter, public :: MIN_UNIT = 11, MAX_UNIT = 99
  integer, parameter, public :: FILENAME_LEN = 256
  character(len=*), parameter, public :: DEFAULT_FILENAME = "whizard"
  integer, parameter, public :: DLERROR_LEN = 160
  integer, parameter, public :: BUFFER_SIZE = 1000
  integer, parameter, public :: MAX_ERRORS = 10
  integer, parameter, public :: SIGINT = 2, SIGTERM = 15, SIGXCPU = 24
  integer, parameter, public :: CMDLINE_OPTKEY_LEN = 50
  integer, parameter, public :: CMDLINE_ARG_LEN = 1000
  integer, parameter, public :: MAX_CMDLINE_OPTIONS = 20
  integer, parameter, public :: EOF = -1,  EOR = -2
  character, parameter, public :: BLANK = ' ',  TAB = achar(9)
  character, parameter, public :: CR = achar(13), LF = achar(10)
  character, parameter, public :: BACKSLASH = achar(92)
  character(*), parameter, public :: WHITESPACE_CHARS = BLANK// TAB // CR // LF
  character(*), parameter, public :: LCLETTERS = "abcdefghijklmnopqrstuvwxyz"
  character(*), parameter, public :: UCLETTERS = "ABCDEFGHIJKLMNOPQRSTUVWXYZ"
  character(*), parameter, public :: DIGITS = "0123456789"
  character(*), parameter, public :: &
           UNQUOTED = "(),|_"//LCLETTERS//UCLETTERS//DIGITS
  character(*), parameter, public :: HISTOGRAM_HEAD_FORMAT = "1x,A13,1x"
  character(*), parameter, public :: HISTOGRAM_INTG_FORMAT = "3x,I9,3x"
  character(*), parameter, public :: HISTOGRAM_DATA_FORMAT = "1PG15.8"

  integer, parameter, public :: VERTEX_TABLE_SCALE_FACTOR = 60
  character(*), parameter, public :: LHAPDF_DEFAULT_PROTON = "cteq6ll.LHpdf"
  character(*), parameter, public :: LHAPDF_DEFAULT_PION   = "ABFKWPI.LHgrid"
  character(*), parameter, public :: LHAPDF_DEFAULT_PHOTON = "GSG960.LHgrid"
  integer, parameter, public :: LHAPDF_NMXSET = 3
  integer, parameter, public :: MAX_EXTERNAL = 32
  real, parameter, public :: CASCADE_SET_FILL_RATIO = 0.1
  integer, parameter, public :: MAX_WARN_RESONANCE = 50
  integer, parameter, public :: PYTHIA_EXTERNAL_PROCESS = 199
  integer, parameter, public :: MB_PER_FB_EXPONENT = 12
  integer, parameter, public :: PB_PER_FB_EXPONENT =  3
  integer, parameter, public :: PYTHIA_PARAMETERS_LEN = 1000
!  integer, parameter, public :: HERWIG_EXTERNAL_PROCESS = 199
  integer, parameter, public :: HERWIG_PARAMETERS_LEN = 1000
  integer, parameter, public :: PROCESS_ID_LEN = 16
!  integer, parameter, public :: NUMBER_PROCESSES_MAX  = 100
  integer, parameter, public :: LOGTABLE_LINE_LENGTH = 79
  integer, parameter, public :: HISTOGRAMS_MAX = 64
  integer, parameter, public :: HELICITIES_MAX = 64
  integer, parameter, public :: FLAVORS_MAX = 64
  integer, parameter, public :: COLOR_FLOWS_MAX = 64
  integer, parameter, public :: ANALYZE_MAX = 32
  integer, parameter, public :: PYTHIA_BEAM_STRLEN = 12
  integer, parameter, public :: WEIGHT_HISTOGRAMS_NBIN = 20

end module limits
